@import "../global/var";

.tests-runs-filter {
    &__close-search-btn {
        background-color: $white;
        border: 0;
    }
    #filter md-chips-wrap i.custom-chip-action {
        color: rgba($dark-new, .5) !important;
    }
    #filter md-chips-wrap .md-focused i.custom-chip-action {
        // display: none !important;
        color: $white !important;
    }
    #filter .chip-operator {
        color: $black !important;
    }
    #filter-editor md-chip:hover span {
        color: $black !important;
    }
    &__wrapper {
        &-panel-body {
            padding: 24px 0 18px 0;
            position: relative;
        }
        &-inner {
            position: relative;
            width: 100%;
            min-width: 0;
        }
    }

    .private-filter {
        height: 12px;
        width: 12px;
        min-height: 12px;
        min-width: 12px;
        margin-top: -2px;
        margin-right: 4px;
    }

    &__editor {
        background-color: rgba($dark-new, .07) !important;
        margin-top: 18px;
        padding: 4px;
        form {
            width: auto !important;
            margin-right: 20px;
        }
        &-info {
            max-width: 300px;
            font-size: 12px;
            font-weight: 500;
            font-style: normal;
        }
        &-text {
            vertical-align: top;
            padding-bottom: 16px;

            &-state{
                padding-left: 9px;
                margin: 0;
                min-width: 100px;
            }
        }
        &-chips-wrapper {
            flex-grow: 1;
        }
        .filter {
            &-input-container {
                min-width: 184px;
                margin: 0 12px 0 0;
                margin-bottom: 15px;
                padding: 0;
            }
            &-state {
                display: flex;
                align-self: center;
                padding: 7px 20px;
                border-right: 1px solid rgba(black, .5);
                label {
                    padding-right: 8px;
                    margin: 0;
                }
                md-checkbox {
                    margin-bottom: 0;
                    &.md-checked .md-icon {
                        background-color: $dark-new;
                    }
                }
            }
            &-name {
                max-width: 240px;
                max-height: 36px;
            }
            &-control {
                max-height: 36px;
            }
            &-select {
                max-width: 100% !important;
            }
        }
        .panel-body {
            padding-bottom: 20px !important;
            .filter-chip md-chip,
            .filter-chip md-chip:hover {
                background-color: transparent !important;
                border: 1px solid rgba($dark-new, 0.2) !important;
                .md-chip-content {
                    line-height: 30px;
                }
                span {
                    color: $black;
                }
                button {
                    background-color: transparent;
                    md-icon {
                        font-size: 22px;
                        color: $black;
                    }
                }
            }
        }
    }

    &__filter-mobile {
        background-color: $main_container_bg-new;
        position: fixed;
        top: $header-height;
        left: 0;
        right: 0;
        max-width: 100%;
        z-index: 5;
        border: 0;
        box-shadow: 0 2px 5px 0 rgba($black, 0.10), 0 2px 10px 0 rgba($black, 0.102);

        @media (min-width: 481px) {
            left: $sidebar_width;
        }
    }

    @media screen and (max-width: $breakpoint-mobile - 1) {
        &__wrapper{
            &-panel-body {
                padding: 20px 16px;
            }
        }

        &__actions {
            height: 48px;
            background-color: $white;
            position: fixed;
            top: 48px;
            left: 0;
            right: 0;
            width: 100%;
            z-index: 5;
            padding: 0 16px !important;
            display: flex;
            align-items: center;
            justify-content: flex-start;
            flex-direction: row-reverse;
            border: 1px solid rgba($coal, .1);
            border-right: 0;
            border-left: 0;
            border-top-color: $white;

            button {
                margin: 0 !important;
            }
            button + button {
                margin-right: 12px !important;
            }
        }

        &__modal-bg {
            position: fixed;
            top: 48px;
            bottom: 0;
            left: 0;
            right: 0;
            z-index: 3;
            background-color: rgba($black, 0.25);
        }
    }
}
